Epson ALCX11NF Scanner I/O error in xsane

Bug #465055 reported by Paul Tap on 2009-10-30
132
This bug affects 24 people
Affects Status Importance Assigned to Milestone
sane-backends (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by larytet

Bug Description

Binary package hint: xsane

My Espon ALCX11NF scanner only gives an I/O error when trying to scan (via the network, no USB possible). The scanner (although (still) being reported as an Epson LP A500 on startup of xsane) used to work with 9.04 and 8.10 out of the box.

I tried to get some more info via scanimage( D10 is the 9.10 machine, pepe is a 9.04):

paul@D10:~$ scanimage -L
WARNING: Unhandled message: interface=org.freedesktop.DBus.Introspectable, path=/, member=Introspect
device `v4l:/dev/video0' is a Noname Logitech QuickCam Orbit virtual device
device `epson2:10.0.0.21' is a Epson LP-A500 flatbed scanner
paul@D10:~$

paul@pepe:~$ scanimage -L
device `epson2:10.0.0.21' is a Epson LP-A500 flatbed scanner
paul@pepe:~$

paul@D10:~$ scanimage --device-name epson2:10.0.0.21 --verbose
scanimage: scanning image of size 208x292 pixels at 1 bits/pixel
scanimage: acquiring gray frame
P4
# SANE data follows
208 292
scanimage: sane_read: Error during device I/O
paul@D10:~$ sudo scanimage --device-name epson2:10.0.0.21 --verbose
[sudo] password for paul:
scanimage: scanning image of size 208x292 pixels at 1 bits/pixel
scanimage: acquiring gray frame
P4
# SANE data follows
208 292
scanimage: sane_read: Error during device I/O
paul@D10:~$

paul@pepe:~$ scanimage --device-name epson2:10.0.0.21 --verbose
scanimage: scanning image of size 208x292 pixels at 1 bits/pixel
scanimage: acquiring gray frame
P4
# SANE data follows
208 292
scanimage: read 7592 bytes in total
paul@pepe:~$

It may be the message shown by scanimage -L already indicating trouble on its way.

Any help or support on additional logging (I can't find anything useful so far) is appreciated.

ProblemType: Bug
Architecture: amd64
Date: Fri Oct 30 16:48:57 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: xsane 0.996-2ubuntu1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: xsane
Uname: Linux 2.6.31-14-generic x86_64

== Regression details ==
Discovered in version: Karmic
Last known good version: Jaunty

Paul Tap (paul-tap) wrote :

Hello,
I have the same problem with Canon Lide 50.
I was using Ubuntu 9.04 and scanner was working. After upgrading to the 9.10 I cannot scan documents anymore :(

pawel@Atom:~$ scanimage -L
WARNING: Unhandled message: interface=org.freedesktop.DBus.Introspectable, path=/, member=Introspect
device `genesys:libusb:001:006' is a Canon LiDE 35/40/50 flatbed scanner

Hello,
Same with Brother MFC-5490CN
It worked in previous versions.

$ scanimage -L
WARNING: Unhandled message: interface=org.freedesktop.DBus.Introspectable, path=/, member=Introspect
device `brother3:net1;dev0' is a Brother MFC-5490CN BROTHER

vettejock99 (mark-whitworth) wrote :

I too have a Epson AL-CX11NF that was working find with xsane and gscan2pdf under 9.04. Having done upgrades and fresh installs now to 9.10, both 32-bit and 64-bit, I get the "error during device I/O" error on all of them.

It seems that the only resolution is coming back to the ubuntu 9.04.

Werner Kuballa (wkuballa) wrote :

I get the same message with an HP OfficeJet 7300 All-in-One. This used to work in 9.04.

I noticed also that I get messages in "daemon.log" on the system (Mars) that has the printer/scanner attached when I run the "scanimage -L".

Nov 11 15:19:23 Mars saned[7582]: check_host: access by remote host: ::ffff:192.168.40.6
Nov 11 15:19:23 Mars saned[7582]: init: access granted to wkuballa@::ffff:192.168.40.6
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 1997: invalid product id string ret=-1
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 2002: invalid serial id string ret=-1
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:19:26 Mars saned[7582]: io/hpmud/musb.c 2007: invalid manufacturer string ret=-1
Nov 11 15:19:26 Mars saned[7582]: quit: exiting

Running "scanimage -L" on host Mars shows:
root@Mars:~# scanimage -L
device `hpaio:/usb/Officejet_7300_series?serial=MY94TQ71YV04HR' is a Hewlett-Packard Officejet_7300_series all-in-one
root@Mars:~#

This also produces these lines in "daemon.log":
Nov 11 15:34:13 Mars saned[7672]: check_host: access by remote host: ::1
Nov 11 15:34:13 Mars saned[7672]: init: access granted to root@::1
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 1997: invalid product id string ret=-1
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 2002: invalid serial id string ret=-1
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Nov 11 15:34:16 Mars saned[7672]: io/hpmud/musb.c 2007: invalid manufacturer string ret=-1
Nov 11 15:34:16 Mars saned[7672]: quit: exiting

Groening (vonbehren-c) wrote :

I have the same problem with my Canon Lide 50 since karmic
groening@Chris:~$ lsusb
Bus 004 Device 002: ID 046d:c051 Logitech, Inc. G3 (MX518) Optical Mouse
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 04a9:2213 Canon, Inc. CanoScan LiDE 50/LiDE 35/LiDE 40
Bus 001 Device 003: ID 046d:08ce Logitech, Inc. QuickCam Pro 5000
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 046a:0023 Cherry GmbH Cymotion Master Linux Keyboard
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

groening@Chris:~$ scanimage -L
WARNING: Unhandled message: interface=org.freedesktop.DBus.Introspectable, path=/, member=Introspect
device `v4l:/dev/video0' is a Noname UVC Camera (046d:08ce) virtual device
device `genesys:libusb:001:002' is a Canon LiDE 35/40/50 flatbed scanner

groening@Chris:~$ scanimage -d genesys:libusb:001:002
scanimage: sane_start: Error during device I/O

I can confirm this on the CanoScan LiDE 50.
Was working just fine in Jaunty (9.04), broken since Karmic (9.10)

Changed in xsane (Ubuntu):
status: New → Confirmed
mcnesium (mcnesium) wrote :

confirm using canoscan N650U. never had problems with it on ubuntu prior 9.10

Confirm: LIDE 50 is not working on 9.10, 9.04 was no problem.

tags: added: regression-release
description: updated
Mattia (mattia) wrote :

I have the same problem with the Epson AccuLaser CX21N on Ubuntu 9.10 amd64.

derKim (kim-launert) wrote :

Same scanner, same problem. Canon Lide 50--> no problem to scan under Jaunty, problems since upgrading to Karmic.
kenny@Tweaks:~$ scanimage -L
WARNING: Unhandled message: interface=org.freedesktop.DBus.Introspectable, path=/, member=Introspect
device `genesys:libusb:001:002' is a Canon LiDE 35/40/50 flatbed scanner
kenny@Tweaks:~$

Thomas Stein (thomas-stein) wrote :

I can confirm this error on the CanoScan LiDE 50, also! It was working perfectly fine in Ubuntu 9.04 and is broken since Ubuntu 9.10.

Error: Scanner I/O error in xsane.

martin (martin-oswald24) on 2009-11-24
description: updated

I confirm with AL-CX11NF (network scanning)

affects: xsane (Ubuntu) → sane-backends (Ubuntu)
gmud (gmud) wrote :

@PiK:

> It seems that the only resolution is coming back to the ubuntu 9.04.

Fortunately there is a dirty workaround:

download http://packages.ubuntu.com/jaunty/libsane (jaunty version) and install with
dpkg -i libsane_1.0.19-23ubuntu7_i386.deb

You may lock libsane with synaptics or with preferences of apt until this bug is resolved.

@Gero Mudersbach
Thanks for a workaround.

Stephan Bgl (boegel) wrote :

@Gero Mudersbach

Workaround works perfectly with Canon LiDE 35. Thanks a lot.

Downgrading libsane as written by Gero works on Epson AL-CX11NF

bersyl91 (choppy-free) wrote :

Downgrading doesn't seem to function with Umax AstraSlim SE : the scanner is well recognized but scanimage hangs eternally.

I upload an strace log if this can help.

bersyl91 (choppy-free) wrote :

Okay, it seems to function now. It's a bit difficult to explain exactly what happened, but here is what I did:

 - Downgrade to jaunty's version of libsane
 - fix definitively permissions of device via udev (cf. infra)
 - Adjust path to firmware (strangely enough, it had changed) in /etc/sane.d/<my_scanner>.conf
 - Upgrade back to current (1.0.20-4ubuntu3) libsane version

Now it's ok.

Concerning the permissions, I created a rule in /lib/udev/rules.d/99-custom.rules:
ATTR{idVendor}=="05d8", ATTR{idProduct}=="4009", MODE="0664", GROUP="saned"
(of course, idVendor and idProduct are those given by the lsusb command and I'm member of the saned group).

Lucio (lumatemp-nospam) wrote :

Just downgrading does not solve the problem with my CanoScan Lide 50 and I am not able to follow bersyl91 instructions... please help!

It appears the Canon Lide 50 problem has a patch provided on Debian that fixes the issue. https://alioth.debian.org/tracker/?group_id=30186&atid=410366&func=detail&aid=311691 There's more than one patch. The one claimed to fix things is https://alioth.debian.org/tracker/download.php/30186/410366/311691/3259/sane-always-send-registers.patch

Sure this bug deserves to have an importance decided? Many Lide 50 users, and other scanners by the looks of it, will find 9.10 regresses compared to 9.04.

larytet (larytet-48904418) wrote :

Confirmed for xsane and Brother MFC-440CN

I would appreciate if more details provided on the bersyl91's workaround

bersyl91 (choppy-free) wrote :

Downgrading/upgrading
===================

@Lucio: No, downgrading didn't solve the problem for me either.

I had another semi-similar problem (with cups-pdf) and another guy told it solved it by uninstalling/reinstalling.
I had already done that with sane and it didn't solve my problem.

So I tried to dowgrade, and it didn't solve it either.

So I decided to upgrade back and the scanner happened to work.

Firmware
=======

Be careful, though, because it seems that the path where saned searches the firmware had changed.

For me, in the config file /etc/sane.d/artec_eplus48u.conf, I had to fix the line:
 option artecFirmwareFile /usr/share/sane/firmware/Artec48.usb

because the firmware really was located at:
option artecFirmwareFile /usr/share/sane/artec_eplus48u/Artec48.usb

udev rules
========

To have access to the device as a normal user, you have to inform the device manager about the permissions you want to find on your device.

The USB devices are identified by 2 fields : the vendor one and the product one. A lsusb command gives you both with the form XXXX:YYYY (XXX being the vendor one, in my case, 05d8 and YYYY the product one, for me 4009).

I decided to give my scanner the 0664 permissions, so that any memeber of the group "saned" might be able to write commands to the scanner.

@larytet: I'm afraid I can't be more explainful - hope this is good for you

It seems commit a0ea955e91837156d2112c0ffd12c8afebe86efa fixes the Canon Lide 50 problems according to the Alioth bug I linked to above. Patch viewable: https://svn.pardus.org.tr/pardus/2008/stable/applications/hardware/sane-backends/files/Always-send-registers-before-trying-to-acquire-line.patch

CA Wills (infocawills) wrote :

As a recent convert this problem would have sent me back to M$. It is only by the help of DLUG members that I've persisted with Linux, please,please sort this out. My Lide 50 worked with 9.04 so why doesn't it in 9.10? It's no good telling people to try this or try that then compile - no good if your new and have very little programming experience.
Error in I/O does not mean a thing - what I/O? where? how?

I have the same problem with lide 50. Please fix it soon. Thank you !

tmschmitz (tmschmitz) wrote :

I have an HP Photosmart C3180. I was having this problem, but "sudo adduser saned lp" fixed it for me. No need to add yourself to any groups, downgrade libsane, or muck around with udev. If your scanner is not an all-in-one, the addition of the udev rule will probably be necessary, but you shouldn't need to add yourself to the sane group, the daemon takes care of that.

Lucio (lumatemp-nospam) wrote :

I used a workaround for having my Canon Lide 50 work in Karmic, following Cosmin suggestions reported in bug #485551.

The complete downgrade involving BOTH xsane and libsane allowed the scanner to work again, BUT lead to unclean exit in xsane. So I also removed xsane and installed FLEGITA, leaving libsane downgraded to 1.0.19.

Now the scanner seems to work well. I can also use gscan2pdf, but had to change preferences/frontend to libsane-perl.

I think this could do until the libsane 1.0.20 and xsane problem is fixed.

Does this bug exists on Ubuntu 10.04?

Lucio (lumatemp-nospam) wrote :

The error is no longer present for my CanoScan Lide 50 while running Lucid!

@pik: yes, libsane on Lucid gives the same I/O error.

libsane from maverick solves the issue! you can download it from my PPA

https://launchpad.net/~guido-iodice/+archive/guiodiclucid/+packages?field.name_filter=sane-backends&field.status_filter=published&field.series_filter=

or you can add my repo: ppa:guido-iodice/guiodiclucid

teledyn (garym-teledyn) wrote :

the problem persists with Ubuntu 10.04 UNR using an HP 1315 PSC; I can print and scan from the localhost without problems, and the daemon.log show that my network permissions in saned.conf are "access granted" thus allowing the remote host to connect, but that is immediately followed by the identical log lines reported by others, musb.c:137 unable get_string_descriptor -1: Operation not permitted and on lines 2017, 2022 and 2027, "invalid manufacturer string"

This worked fine in Ubuntu 8.04 and 9:04.

Fred Saunier (fsaunier) wrote :

Just for the sake of trying - same problem with my AL-CX11NF (network) running Maverick live.

The only workaround I have so far in Lucid is to downgrade to Jaunty's libsane - which is then incompatible with Lucid's Gimp :( One of my computers is still running Jaunty, for the single purpose of being able to scan and gimp easily :((

Lucio (lumatemp-nospam) wrote :

Not sure if it is the same bug as before, but in Maverick I am again unable to work with my Canoscan Lide 50.
The scanner is recognized, but when starting acquisition it makes high-pitched noises and does not acquire the page.
It works on other PC with Lucid.

ecanod (acmebike) wrote :

Same problem as Lucio #36.

scanimage -L returns: device `genesys:libusb:001:003' is a Canon LiDE 35/40/50 flatbed scanner

scanimage >image.pnm starts the scanner but the scanner lamp stays at the beginning of its travel, without moving, making those high-pitched noises

scanning using Xsane yields the same result

scanning using Simple Scan moves the lamp, but at double speed, so the resulting image is compressed lenghtwise and the lamp hits the end of the travel, making again (a different type of) noise.

Fred Saunier (fsaunier) wrote :

I finally got the Epson CX11NF to work properly in Lucid. As it turns out, the problem comes from libsane which doesn't work properly with network devices that have a longer name (eg wireless devices). See bug reference #572246.

A patch for libsane has been issued by Nicolas Valcarcel, and is available on this ppa :
https://launchpad.net/~cgateam/+archive/ppa

Add the ppa to your list, update and upgrade. Libsane will be updated with the patch, and now xsane works just fine. Finally!

Fred Saunier (fsaunier) wrote :

I have to take back what I stated earlier, unfortunately, for being over-optimistic. The libsane patch allows xsane to load (which is a step forward), but I'm getting I/O errors whenever trying to scan, both from ethernet or wifi.

Hi I just tested the patch from Nicolas Valcarcel, but unfortunately I still receive the same error with my Epson Acculaser CX11NF, when scanning over the network with: executing scanimage -d epson2
scanimage: sane_read: Error during device I/O

Fred Saunier (fsaunier) wrote :

Aha, got it to scan properly, using Guido Iodice's ppa (post #33) : ppa:guido-iodice/guiodiclucid - which has libsane 1.0.22 (natty?)

In Maverick : subscribe to the ppa, and set the distro to lucid (not maverick). Just update libsane. Xsane now works over the network.

In Lucid : subscribe to the ppa. Upgrade libsane and xsane. It now works over the network as well.

Thank you Guido!

Yes, thank you Guido,
this is working very nice now.
Would it be possible to add the libsane 1.0.22 as an update to ubuntu lucid?

Paul Tap, thank you for reporting this and helping make Ubuntu better.

As per https://wiki.ubuntu.com/Releases 9.10 reached EOL on April 30, 2011.

If you have an issue in a supported release (ex. 16.04) please file a new report, and feel free to subscribe me to it.

Changed in sane-backends (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.